This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 215646 - kernel BUG at net/ipv6/ip6_output.c:714!
kernel BUG at net/ipv6/ip6_output.c:714!
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 18:45 EST by Terry Manderson
Modified: 2012-06-20 09:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Terry Manderson 2006-11-14 18:45:30 EST
Description of problem:

Not even 7 hours of run-time... with kernel as offered by redhat to address bug #167715

Nov  6 14:27:06 karashi kernel: ------------[ cut here ]------------
Nov  6 14:27:06 karashi kernel: kernel BUG at net/ipv6/ip6_output.c:714!
Nov  6 14:27:06 karashi kernel: invalid operand: 0000 [#1]
Nov  6 14:27:06 karashi kernel: SMP
Nov  6 14:27:06 karashi kernel: Modules linked in: md5 ipv6 dm_mirror dm_mod button battery ac uh
ci_hcd ehci_hcd tg3 ext3 jbd megaraid_mbox megaraid_mm sd_mod scsi_mod
Nov  6 14:27:06 karashi kernel: CPU:    0
Nov  6 14:27:06 karashi kernel: EIP:    0060:[<f8a6c8a8>]    Not tainted VLI
Nov  6 14:27:06 karashi kernel: EFLAGS: 00010282   (2.6.9-42.22.ELsmp)
Nov  6 14:27:06 karashi kernel: EIP is at ip6_fragment+0x685/0x7ce [ipv6]
Nov  6 14:27:06 karashi kernel: eax: fffffff2   ebx: f5dfca80   ecx: 00000000   edx: f6cf2a80
Nov  6 14:27:06 karashi kernel: esi: f3b57160   edi: fffffd30   ebp: fffffd30   esp: f7274c14
Nov  6 14:27:06 karashi kernel: ds: 007b   es: 007b   ss: 0068
Nov  6 14:27:06 karashi kernel: Process named (pid: 3610, threadinfo=f7274000 task=f7187830)
Nov  6 14:27:06 karashi kernel: Stack: 00000000 86274eb0 00000000 000007c8 83010000 
ffffff31 0000
07c8 fffffd30
Nov  6 14:27:06 karashi kernel:        f3b55758 f689d080 f8a6b409 f5dfca80 f6cf2a80 f3b569c8 f6cf
2a80 f3b56998
Nov  6 14:27:06 karashi kernel:        f69f9880 00000000 f8a6d5da f621ee50 f689d080 00000000 
f621
eea4 f621ee00
Nov  6 14:27:06 karashi kernel: Call Trace:
Nov  6 14:27:06 karashi kernel:  [<f8a6b409>] ip6_output2+0x0/0x235 [ipv6]
Nov  6 14:27:06 karashi kernel:  [<f8a6d5da>] ip6_push_pending_frames+0x291/0x369 [ipv6]
Nov  6 14:27:06 karashi kernel:  [<f8a7bb2d>] udp_v6_push_pending_frames+0x169/0x185 [ipv6]
Nov  6 14:27:06 karashi kernel:  [<f8a7c16b>] udpv6_sendmsg+0x622/0x770 [ipv6]
Nov  6 14:27:06 karashi kernel:  [<c027d0e7>] skb_dequeue+0x40/0x46
Nov  6 14:27:06 karashi kernel:  [<c027dc5d>] skb_recv_datagram+0x61/0x9b
Nov  6 14:27:06 karashi kernel:  [<c02bb071>] inet_sendmsg+0x38/0x42
Nov  6 14:27:06 karashi kernel:  [<c027836d>] sock_sendmsg+0xdb/0xf7
Nov  6 14:27:06 karashi kernel:  [<c02d5822>] reschedule_interrupt+0x1a/0x20
Nov  6 14:27:06 karashi kernel:  [<c011de62>] find_busiest_group+0xdd/0x295
Nov  6 14:27:06 karashi kernel:  [<c0120519>] autoremove_wake_function+0x0/0x2d
Nov  6 14:27:06 karashi kernel:  [<c0279ab8>] sys_sendmsg+0x1ee/0x23b
Nov  6 14:27:06 karashi kernel:  [<c02d3576>] schedule_timeout+0xb9/0x154
Nov  6 14:27:06 karashi kernel:  [<c0150835>] find_extend_vma+0x12/0x4f
Nov  6 14:27:06 karashi kernel:  [<c01350ec>] unqueue_me+0x73/0x79
Nov  6 14:27:06 karashi kernel:  [<c0150835>] find_extend_vma+0x12/0x4f
Nov  6 14:27:06 karashi kernel:  [<c0134b9f>] get_futex_key+0x39/0x108
Nov  6 14:27:06 karashi kernel:  [<c0134d78>] futex_wake+0x9f/0xc5
Nov  6 14:27:06 karashi kernel:  [<c0279ebf>] sys_socketcall+0x1df/0x1fb
Nov  6 14:27:06 karashi kernel:  [<c02d4e27>] syscall_call+0x7/0xb
Nov  6 14:27:06 karashi kernel:  [<c02d007b>] ipv6_skip_exthdr_nolen+0x71/0x100
Nov  6 14:27:06 karashi kernel: Code: 89 44 24 10 eb 0b 8b 4c 24 10 8b 54 24 20 89 4a 04 8b 44 24
 2c 8b 48 24 8b 44 24 30 55 8b 54 24 10 e8 e3 fe 80 c7 5f 85 c0 74 08 <0f> 0b ca 02 62 c9 a8 f8 0
f b7 44 24 08 0f b6 d0 c1 e2 08 c1 e8
Nov  6 14:27:06 karashi kernel:  <0>Fatal exception: panic in 5 seconds

Version-Release number of selected component (if applicable):


How reproducible:

under hh ipv6 DNS load. easily 7 hours.


See previous bug 167715 for what has been done to date and ascertain a history of the issues.

This is a major issue for my organisation. Failure to rectify this IPv6 issue promptly will encourage the 
organisation to change platforms.
Comment 1 Jiri Pallich 2012-06-20 09:27:03 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.